package com.fs.hisStore.service;

import com.fs.hisStore.domain.FsFollowTempScrm;
import com.fs.his.vo.OptionsVO;

import java.util.List;

/**
 * 随访模板Service接口
 *
 * @author fs
 * @date 2023-07-14
 */
public interface IFsFollowTempScrmService
{
    /**
     * 查询随访模板
     *
     * @param tempId 随访模板主键
     * @return 随访模板
     */
    public FsFollowTempScrm selectFsFollowTempByTempId(Long tempId);

    /**
     * 查询随访模板列表
     *
     * @param fsFollowTemp 随访模板
     * @return 随访模板集合
     */
    public List<FsFollowTempScrm> selectFsFollowTempList(FsFollowTempScrm fsFollowTemp);

    /**
     * 新增随访模板
     *
     * @param fsFollowTemp 随访模板
     * @return 结果
     */
    public int insertFsFollowTemp(FsFollowTempScrm fsFollowTemp);

    /**
     * 修改随访模板
     *
     * @param fsFollowTemp 随访模板
     * @return 结果
     */
    public int updateFsFollowTemp(FsFollowTempScrm fsFollowTemp);

    /**
     * 批量删除随访模板
     *
     * @param tempIds 需要删除的随访模板主键集合
     * @return 结果
     */
    public int deleteFsFollowTempByTempIds(Long[] tempIds);

    /**
     * 删除随访模板信息
     *
     * @param tempId 随访模板主键
     * @return 结果
     */
    public int deleteFsFollowTempByTempId(Long tempId);

    List<OptionsVO> selectAllFsFollowTempList();

}
